> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account by ID

> Get details of your created virtual account by its ID.



## OpenAPI

````yaml openapi.json GET /virtual-accounts/{id}
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /virtual-accounts/{id}:
    get:
      description: Get details of your created virtual account by its ID.
      operationId: DynamicAccountID
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            This is the unique ID generated upon creation of your dynamic
            account in either NGN or GHS.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: A JSON array of dynamic details objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DynamicDetailsResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    DynamicDetailsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        accountNumber:
          type: string
          example: '7706438396'
        accountName:
          type: string
          example: Quantum Technologies
        bankName:
          type: string
          example: Testbank MFB
        mode:
          type: string
          enum:
            - live
            - test
          example: live
        lifeCycle:
          type: string
          example: temporary
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````